# Generated from kitchen-azurerm-1.13.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name kitchen-azurerm

Name: rubygem-%{gem_name}
Version: 1.13.1
Release: 1%{?dist}
Summary: Test Kitchen driver for Azure Resource Manager
License: Apache-2.0
URL: https://github.com/test-kitchen/kitchen-azurerm
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.6
BuildArch: noarch

%description
Test Kitchen driver for the Microsoft Azure Resource Manager (ARM) API.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE
%{gem_libdir}
%{gem_instdir}/templates
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}


%changelog
* Fri Jun 21 2024 mockbuilder - 1.13.1-1
- Initial package
